  function InitializeHiddenVars(){
  
  }

  function DoDeleteReportGroup(URLParamStr, ARepName){
    var UserResult = 1;
    /*var UserResult = confirm('Are you sure you want to delete the Report or Report Group "' + ARepName + '"?. \nIf this report is part of a group then you may not be able to run that Report Group anymore.'+
                     '\nThis will also remove any corresponding scheduled report entries. Also Affects any other Reps that may be using this report.');
       */
    //alert(UserResult);
    if(UserResult== "1")
      document.location="CTReportsDeleteAction" + URLParamStr;
  }

  function OpenRunReportWindow(AUrl, AOpenPopUp){
    //alert(AUrl);
    //window.location=AUrl;
    var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=no, menubar=no, statusbar=yes, ";
    if (AOpenPopUp=="true"){
        var ActualHieght="250";
        var ActualWidth="350";}
      else{
        var ActualHieght="850";
        var ActualWidth="1050";}
    FeatureStr = FeatureStr + "width=" + ActualWidth + ", height=" + ActualHieght + ", top=50, left=50";
    window.open(AUrl, "", FeatureStr);
  }

  function WarnOpenRunReportWindow(AUrl){
    //alert(AUrl);
    if (DoSaveAndRunSchedRepNow(AUrl) == 0)
      return;
    var UserResult = 1;  
   /* var UserResult = confirm('Do you want to display the report run page before running or directly run the report?'
                     + '\nPress Ok to display the report run page to modify report options.\nPress Cancel to directly run report using current report set options.');
     */
    //alert(UserResult);
    if(UserResult=="0")
      AUrl = AUrl + '&AutoRunRep=true';
    OpenRunReportWindow(AUrl, "false");
  }

        function DoRunInTaskerRepNow(AUrl){
          //alert(AUrl);
          if (DoSaveAndRunSchedRepNow(AUrl) == 0)
            return;
          var UserResult = 1; 
	  /* UserResult = confirm('Do you want to view report progress while it is being generated?');  */
          var AOpenPopUp = "false";
          if(UserResult=="1"){
                AUrl = AUrl + '&ViewFinalRep=true';
          }
          else{
                AOpenPopUp = "true";          
          }
          OpenRunReportWindow(AUrl, AOpenPopUp);
          window.blur();
        }

  function DoManageRptLogosPage(){
    var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
    FeatureStr = FeatureStr + " width=1100, height=575, top=120, left=60";
    var AUrl=document.CTReportsSelectionPage.LogoUploadPageURL.value;
    //window.open(AUrl, "", FeatureStr);
    alert("This function is disabled. Please copy any logo files directly to the Captools/net Server machine and place it in the 'CTReports' folder.");
  }

  function DoClearRecentReps(){
      __doPostBack('ClearRectRepsBtn', 'CLICK');
      //ClearManualBtnClick();
  }

  function DoViewLastRepOutPut(ASessionID){
    AUrl = "ShowReportOutputPage?RepSessionID=" + ASessionID;
    var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
    FeatureStr = FeatureStr + " width=1050, height=775, top=50, left=60";
    //alert(AUrl);
    window.open(AUrl, "ViewLastReport", FeatureStr);
  }

  function DoLoadHideAllSubReps(){
      __doPostBack('LoadSubRepsBtn', 'CLICK');
  }

  function OpenSchedReportWindow(){
    AUrl="CTReportScheduledEdPage";
    var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
    FeatureStr = FeatureStr + " width=1050, height=775, top=50, left=60";
    //alert(AUrl);
    window.open(AUrl, "SchedRepWin", FeatureStr);
  }

    function OpenEditRepSetWindow(ARepSetParams){
      var AUrl = 'CTReportSetAddEdPage' + ARepSetParams;
      var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
      FeatureStr = FeatureStr + " width=1050, height=875, top=50, left=60";
      //alert(AUrl);
      window.open(AUrl, "ReportSetWin", FeatureStr);
  }

  function DoCreateNewAccountGroup(){
    AUrl="CTSelectGroupAcctsPage";
    var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=no, menubar=no, statusbar=yes";
    //alert(AUrl);
    window.open(AUrl, "", FeatureStr);
  }

  function OpenReportSelectionWindow(){
    AUrl="ShowRepSelPage";
    var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
    FeatureStr = FeatureStr + " width=1100, height=875, top=50, left=60";
    //alert(AUrl);
    window.open(AUrl, "", FeatureStr);
  }

  function DoShowSavedReports(){
    AUrl="CTShowSavedReports";
    var FeatureStr = "scrollbars=yes, resizable=yes, toolbar=yes, menubar=yes, statusbar=yes, ";
    FeatureStr = FeatureStr + " width=1100, height=875, top=50, left=60";
    //alert(AUrl);
    window.open(AUrl, "", FeatureStr);
  }
